You can skip this in seconds

Click here to continue

Q2ID 3.01

What's Required in Version 3.01 of Q2ID

Mac OS X 10.6.8 or higher, Windows 7 or higher, a valid license for Adobe InDesign

What's New in Version 3.01 of Q2ID

The plugin now has QuarkXPress 2016 (also known as QXP v12) support. Q2ID is available for Mac and Windows platforms for InDesign CC 2015, 2014, CC, CS6, CS5.5 and CS5.

Look for Similar Items by Category

Feedback

Popular Downloads